Bug 124454 - Generating bad kickstart files
Generating bad kickstart files
Product: Fedora
Classification: Fedora
Component: system-config-kickstart (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2004-05-26 13:54 EDT by Kyrre Ness Sjøbæk
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-29 16:18:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
One of the kickstarters (3.20 KB, text/plain)
2004-05-26 13:58 EDT, Kyrre Ness Sjøbæk
no flags Details
File created with system-config-kickstart can't be reread (1.22 KB, text/plain)
2004-08-05 06:56 EDT, Nigel Horne
no flags Details

  None (edit)
Description Kyrre Ness Sjøbæk 2004-05-26 13:54:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; X11; Linux i686) Opera 
7.50  [en]

Description of problem:
The kickstart files generated by the utility is simply not working! 
There are several reasons:

- The package-group-selection is malformed (me, having Norwegian as 
the standard libary, got norwegian texts in the ks.cfg (like the ones 
printed on-screen during install), which obiviously didn't work.
- During kickstart installs, anaconda first deletes every partition 
on disk, and then asks how to partition. I set that it should delete 
every linux partition, and not touch the others
- Norwegian nynorsk should probably be named no_NN, not se_NN...

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.Make a kickstart-file using system-config-kickstart
2.boot the system of the boot-cd or cd1, set linux ks=floppy in 

Additional info:

Multiple bugs. Some pretty severe...
Comment 1 Kyrre Ness Sjøbæk 2004-05-26 13:58:14 EDT
Created attachment 100600 [details]
One of the kickstarters

Only thing that is different about this one and the one used, is that the one
used was set to automatically start X, and I removed the script as it did not
Comment 2 Kyrre Ness Sjøbæk 2004-05-26 14:01:01 EDT
Hmmm... One thing I forgot - anaconda somhow forgot to detect the 
monitor in all instalations. So the res got set to 800x600 (had to 
set monitor by hand after install)
Comment 3 Brent Fox 2004-06-15 16:07:11 EDT
Here's my response to your three issues:

1) This should be fixed with system-config-kickstart-2.5.11-2 in Rawhide.

2) Do you have non-ext3 partitions on the disk?

3) As far as I can tell, Norwegian Nynorsk should be nn_NO.  That's
what system-config-kickstart is writing out for me.  Norwegian Norsk
should write out no_NO.
Comment 4 Kyrre Ness Sjøbæk 2004-06-17 03:32:20 EDT
1) Good! When will it be in stable? The version included with FC2 is
somwhat... Non-working

2) Both yes and no: I one case, i was testing if the
kickstart-installer worked (on my personal workstation. A bit risky it
may seem...), but setting it to "use free space" and also to ask every
question. But it seemed that the install just deleted everything on
the disk, and then asked about partitioning, even if told what to do.
In another case, where we where upgrading a buch of FC1/XP machines to
FC2/XP, (ext3+NTFS), it just killed everything on the disk, and again
asked for partitioning (giving the "which auto" and then the manual
screen as during a normal Anaconda install...) (it was set to "remove
all Linux partitions")

I don't know if this is related to Anaconda or Kickstart, but it is
sertainly a bug...

3) Hmmm... will you please test after setting your system language to

But what about the screen detection? Think that is somwhat f'ed up...
This works great during a normal anaconda install.

BTW do you care to remove those two passwords in the attachment? I
didn't see it before now...

Anther thing about kickstart-editor: The dropdown where you choose
architecture is somwhat un-userfriendly if you are installing on
dead-standard x86... Maybee add an entry for it, even if it does not
do anything but add an comment, but still...
Comment 5 Nigel Horne 2004-08-05 06:56:48 EDT
Created attachment 102442 [details]
File created with system-config-kickstart can't be reread

I created the attached file with system-config-kickstart, but when I try to
reload it later I get this message:

Traceback (most recent call last):
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 270, in
  File "/usr/share/system-config-kickstart/kickstartGui.py", line 307, in
  File "/usr/share/system-config-kickstart/firewall.py", line 221, in fillData
AttributeError: 'NoneType' object has no attribute 'set_active'
Comment 6 Brent Fox 2004-08-05 10:24:45 EDT
Nigel: the problem that you are seeing is unrelated to this bug
report.  You should look at
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=124342 for more
information on that particular problem.
Comment 7 Paul Nasrat 2004-08-11 08:31:53 EDT
Please retest with fc3t1 and feed back which issues are still
remaining for you please.
Comment 8 Chris Lumens 2005-03-29 16:18:50 EST
Closing due to inactivity.  Feel free to repoen or file a new bug if you are
still seeing problems.

Note You need to log in before you can comment on or make changes to this bug.